Bug 225436 - [exp-run] Update Qt5 to 5.9.4
Summary: [exp-run] Update Qt5 to 5.9.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-24 18:24 UTC by Raphael Kubo da Costa
Modified: 2018-01-29 12:38 UTC (History)
1 user (show)

See Also:
rakuco: exp-run+


Attachments
Proposed patch (30.42 KB, patch)
2018-01-24 18:24 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2018-01-24 18:24:57 UTC
Created attachment 190040 [details]
Proposed patch

This is a much smaller update than the previous one. Patch (also attached): https://people.freebsd.org/~rakuco/exp-runs/qt-5.9.4-v1.patch
Comment 2 Raphael Kubo da Costa freebsd_committer 2018-01-28 22:46:12 UTC
I've sent a patch for flameshot here: https://reviews.freebsd.org/D14100

I know what's wrong with nomacs and antiword, I'll fix them tomorrow.
Comment 3 commit-hook freebsd_committer 2018-01-29 11:41:13 UTC
A commit references this bug:

Author: rakuco
Date: Mon Jan 29 11:40:33 UTC 2018
New revision: 460285
URL: https://svnweb.freebsd.org/changeset/ports/460285

Log:
  Add a patch to drop CMake calls to QT5_WRAP_CPP().

  The USE_QT5 code path already unconditionally sets CMAKE_AUTOMOC to on.

  Calling QT5_WRAP_CPP() used to be just redundant, as antimicro_HEADERS_MOC
  was never actually added as a source dependency of the antimicro target. In
  other words, CMake's own automoc infrastructure was actually being used and
  the moc invocations from QT5_WRAP_CPP() were not being made at all.

  Starting with Qt 5.9.4, calling QT5_WRAP_CPP() disables the AUTOMOC property
  on the macro's input files, which means neither CMake's automoc
  infrastructure not QT5_WRAP_CPP()'s code were being used and we ended up
  with several 'undefined reference to vtable' errors when linking.

  Sent upstream: https://github.com/AntiMicro/antimicro/pull/207

  PR:		225436

Changes:
  head/x11/antimicro/files/patch-CMakeLists.txt
Comment 4 commit-hook freebsd_committer 2018-01-29 11:46:19 UTC
A commit references this bug:

Author: rakuco
Date: Mon Jan 29 11:45:43 UTC 2018
New revision: 460286
URL: https://svnweb.freebsd.org/changeset/ports/460286

Log:
  Add a patch to drop CMake calls to QT5_WRAP_CPP().

  cmake/Utils.cmake already sets CMAKE_AUTOMOC to on.

  Calling QT5_WRAP_CPP() used to be just redundant, as QUAZIP_MOC_SRC and
  LIBQPSD_MOC_SRC were never actually added as source dependencies in
  MacBuildTarget.cmake and UnixBuildTarget.cmake. In other words, CMake's own
  automoc infrastructure was actually being used and the moc invocations from
  QT5_WRAP_CPP() were not being made at all.

  Starting with Qt 5.9.4, calling QT5_WRAP_CPP() disables the AUTOMOC property on
  the macro's input files, which means neither CMake's automoc infrastructure not
  QT5_WRAP_CPP()'s code were being used and we ended up with several 'undefined
  reference to vtable' errors when linking.

  Sent upstream: https://github.com/nomacs/nomacs/pull/187

  PR:		225436

Changes:
  head/graphics/nomacs/files/patch-cmake_Unix.cmake
Comment 5 commit-hook freebsd_committer 2018-01-29 12:38:03 UTC
A commit references this bug:

Author: rakuco
Date: Mon Jan 29 12:37:06 UTC 2018
New revision: 460296
URL: https://svnweb.freebsd.org/changeset/ports/460296

Log:
  Update Qt5 to 5.9.4.

  Announcement:
  https://blog.qt.io/blog/2018/01/23/qt-5-9-4-released/

  This is a minor update and a lot easier to land than the previous 5.7.1 ->
  5.9.3 commit.

  Thanks to antoine for the exp-run.

  PR:		225436

Changes:
  head/Mk/bsd.qt.mk
  head/devel/qt5/distinfo
  head/devel/qt5-core/pkg-plist
  head/devel/qt5-qmake/pkg-plist
  head/graphics/qt5-3d/pkg-plist
  head/misc/qt5-doc/Makefile
  head/misc/qt5-doc/distinfo
  head/misc/qt5-doc/pkg-plist
  head/misc/qt5-examples/distinfo
  head/misc/qt5-l10n/pkg-plist
  head/x11-toolkits/qt5-quickcontrols2/pkg-plist